armv7 OpenResty安装运行异常

社区版更新到V1.10.5-LTS之后,按照官方指导Armv7安装方法OpenResty安装一直提示异常
日志:
e[2K1Panel-openresty-1ilM | nginx: [error] init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | 2024/04/22 17:59:25 [error] 1#1: init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | nginx: [error] init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | 2024/04/22 17:59:26 [error] 1#1: init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | 2024/04/22 17:59:27 [error] 1#1: init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | nginx: [error] init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | nginx: [error] init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | 2024/04/22 17:59:28 [error] 1#1: init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | 2024/04/22 17:59:30 [error] 1#1: init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | nginx: [error] init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | 2024/04/22 17:59:32 [error] 1#1: init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | nginx: [error] init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory
e[2K1Panel-openresty-1ilM | nginx: [error] init_by_lua_file error: cannot open /usr/local/openresty/1pwaf/init.lua: No such file or directory

感谢反馈。
由于最新版本我们升级了 WAF 功能,并推出了1Panel 自己维护的 OpenResty 镜像(基于官方镜像制作),这个版本以后就不再支持参考上述文档来制作其他架构的镜像了。

如果必须要使用上述架构,就只能使用之前版本的 OpenResty 镜像了。

新版的1panel无法安装 OpenResty旧的版本,那么是否有上个版本的1panel可以安装呢?或者说有没有其他本法呢?

可以尝试在安装 OpenResty 时,手动修改 compose 中的 image 字段(使用之前版本的镜像)